Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SystemAccessControlList

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.AccessControlList
                          oracle.ifs.beans.TieAccessControlList
                              oracle.ifs.beans.SystemAccessControlList

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieSystemAccessControlList

    public class SystemAccessControlList

extends TieAccessControlList

Represents a system-wide shared AccessControlList.

These AccessControlLists are uniquely named across the system and can only be created by administrators.

Examples of out-of-the-box SystemAccessControlLists are PUBLIC, PUBLISHED, PRIVATE and PROTECTED.

See Also:
  `AccessControlList`
(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each SystemAccessControlList has a unique name.

Fields inherited from class oracle.ifs.beans.AccessControlList
`COMPONENTACLS_ATTRIBUTE, m_ACEs, OWNERUNIQUENAME_ATTRIBUTE, SHARED_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `SystemAccessControlList(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a SystemAccessControlList object - standard variant.

Method Summary
`protected static java.util.Vector` | `constructAccessControlListVector(LibrarySession sess, java.util.Vector vector)` Constructs a vector of SystemAccessControlList objects from a vector of corresponding data objects.
`protected static SystemAccessControlList` | `constructSystemAccessControlList(LibrarySession sess, S_LibraryObjectData data)` Constructs a SystemAccessControlList object using a data object corresponding to it.
`static SystemAccessControlList[]` | `findAll(LibrarySession session)` Returns the set of defined SystemAccessControlLists.
`static SystemAccessControlList` | `findByName(LibrarySession session, java.lang.String name)` Returns the a SystemAccessControlList matching the specified name.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find SystemAccessControlList instances by name.
`static AccessControlList` | `getPrivateAcl(LibrarySession session)` Get the ACL used to restrict access to owners and administrators.
`static AccessControlList` | `getPublishedAcl(LibrarySession session)` Get the ACL used to provide discover access to all users, and restrict all other access to owners and administrators.
`protected static SystemAccessControlList` | `vectorSystemAccessControlListElement(java.util.Vector vector, int index)` Return a SystemAccessControlList from a specified Vector of SystemAccessControlLists and an index.
`protected static SystemAccessControlList[]` | `vectorToSystemAccessControlListArray(java.util.Vector vector)` Convert a Vector of SystemAccessControlLists to an array of SystemAccessControlLists.

Methods inherited from class oracle.ifs.beans.AccessControlList
`addAccessControlEntry, checkEffectiveAccess, checkGrantedAccess, checkGrantedAccess, constructAccessControlList, constructAccessControlListArray, getAccessControlEntrys, getAccessControlEntrys, getClassId, getComponentAcls, getCompositeAcls, getCompositeAcls, getEffectiveAccessLevel, getGrantedAccessLevel, getGrantedAccessLevel, grantAccess, isComposite, isShared, removeAccessControlEntry, removeAcesForFreedGrantees, removeAllAccessControlEntries, revokeAccess, revokeAllAccess, setComponentAcls, updateAccessControlEntry, vectorAclElement, vectorToAclArray`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `SystemAccessControlList`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `SystemAccessControlList`
  A system-set attribute used to ensure each SystemAccessControlList has a unique name.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### SystemAccessControlList

    protected SystemAccessControlList(LibrarySession session,
                                      java.lang.Long id,
                                      java.lang.Long classId,
                                      S_LibraryObjectData data)
                               throws IfsException

  Construct a SystemAccessControlList object - standard variant.

  Parameters:
    `session` - current Session
    `id` - object ID
    `classId` - the class ID
    `data` - attributes
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getPrivateAcl

    public static AccessControlList getPrivateAcl(LibrarySession session)
                                           throws IfsException

  Description copied from class: `SystemAccessControlList`
  Get the ACL used to restrict access to owners and administrators.

  It is possible to return null if the ACL identified as the private ACL is deleted.

  Returns:
    the private ACL
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getPublishedAcl

    public static AccessControlList getPublishedAcl(LibrarySession session)
                                             throws IfsException

  Description copied from class: `SystemAccessControlList`
  Get the ACL used to provide discover access to all users, and restrict all other access to owners and administrators.

  It is possible to return null if the ACL identified as the published ACL is deleted.

  Returns:
    the published ACL
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `SystemAccessControlList`
  Returns the LibraryObjectLookupCache used by find SystemAccessControlList instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static SystemAccessControlList[] findAll(LibrarySession session)
                                             throws IfsException

  Description copied from class: `SystemAccessControlList`
  Returns the set of defined SystemAccessControlLists.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of SystemAccessControlLists; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static SystemAccessControlList findByName(LibrarySession session,
                                                     java.lang.String name)
                                              throws IfsException

  Description copied from class: `SystemAccessControlList`
  Returns the a SystemAccessControlList matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the SystemAccessControlList name
  Returns:
    the SystemAccessControlList matching the specified name; or null if there exists no matching SystemAccessControlList
  Throws:
    `IfsException` - if the operation fails.

### constructAccessControlListVector

    protected static java.util.Vector constructAccessControlListVector(LibrarySession sess,
                                                                       java.util.Vector vector)
                                                                throws IfsException

  Description copied from class: `SystemAccessControlList`
  Constructs a vector of SystemAccessControlList objects from a vector of corresponding data objects.

  Parameters:
    `sess` - handle to current session
    `vector` - vector of data objects
  Returns:
    Vector of SystemAccessControList objects
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructSystemAccessControlList

    protected static SystemAccessControlList constructSystemAccessControlList(LibrarySession sess,
                                                                              S_LibraryObjectData data)
                                                                       throws IfsException

  Description copied from class: `SystemAccessControlList`
  Constructs a SystemAccessControlList object using a data object corresponding to it.

  Parameters:
    `sess` - handle to library session
    `data` - data corresponding to the object to be constructed
  Returns:
    newly constructed SystemAccessControlList object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToSystemAccessControlListArray

    protected static SystemAccessControlList[] vectorToSystemAccessControlListArray(java.util.Vector vector)

  Description copied from class: `SystemAccessControlList`
  Convert a Vector of SystemAccessControlLists to an array of SystemAccessControlLists.

  Parameters:
    `vector` - A Vector containing SystemAccessControlLists.
  Returns:
    an array of SystemAccessControlLists.
  (Unpublished)

### vectorSystemAccessControlListElement

    protected static SystemAccessControlList vectorSystemAccessControlListElement(java.util.Vector vector,
                                                                                  int index)
                                                                           throws java.lang.IndexOutOfBoundsException

  Description copied from class: `SystemAccessControlList`
  Return a SystemAccessControlList from a specified Vector of SystemAccessControlLists and an index.

  Parameters:
    `vector` - A Vector containing SystemAccessControlLists.
    `index` - An index into the Vector of SystemAccessControlLists.
  Returns:
    the requested SystemAccessControlList.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if index is invalid.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD